RDCode: ForceFields::ForceFieldContrib Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# ForceFields::ForceFieldContrib Class Reference

abstract base class for contributions to ForceFields More...

`#include <Contrib.h>`

Inheritance diagram for ForceFields::ForceFieldContrib:

List of all members.

## Public Member Functions
| ForceFieldContrib ()
virtual | ~ForceFieldContrib ()
virtual double | getEnergy (double *pos) const =0
| returns our contribution to the energy of a position
virtual void | getGrad (double *pos, double *grad) const =0
| calculates our contribution to the gradients of a position
## Protected Attributes
ForceField * | dp_forceField
| our owning ForceField

## Detailed Description

abstract base class for contributions to ForceFields

Definition at line 13 of file Contrib.h.

## Constructor & Destructor Documentation

ForceFields::ForceFieldContrib::ForceFieldContrib | ( |  | ) | `[inline]`

Definition at line 15 of file Contrib.h.

virtual ForceFields::ForceFieldContrib::~ForceFieldContrib | ( |  | ) | `[inline, virtual]`

Definition at line 16 of file Contrib.h.

## Member Function Documentation

virtual double ForceFields::ForceFieldContrib::getEnergy | ( | double * | pos | ) | const`[pure virtual]`

returns our contribution to the energy of a position

Implemented in DistGeom::ChiralViolationContrib, DistGeom::DistViolationContrib, DistGeom::FourthDimContrib, ForceFields::UFF::AngleBendContrib, ForceFields::UFF::BondStretchContrib, ForceFields::UFF::DistanceConstraintContrib, ForceFields::UFF::vdWContrib, and ForceFields::UFF::TorsionAngleContrib.

virtual void ForceFields::ForceFieldContrib::getGrad | ( | double * | pos,
|  | double * | grad |
| ) |  |  | const`[pure virtual]`

calculates our contribution to the gradients of a position

Implemented in DistGeom::ChiralViolationContrib, DistGeom::DistViolationContrib, DistGeom::FourthDimContrib, ForceFields::UFF::AngleBendContrib, ForceFields::UFF::BondStretchContrib, ForceFields::UFF::DistanceConstraintContrib, ForceFields::UFF::vdWContrib, and ForceFields::UFF::TorsionAngleContrib.

## Member Data Documentation

ForceField* ForceFields::ForceFieldContrib::dp_forceField`[protected]`

our owning ForceField

Definition at line 25 of file Contrib.h.

Referenced by DistGeom::FourthDimContrib::FourthDimContrib(), DistGeom::FourthDimContrib::getEnergy(), and DistGeom::FourthDimContrib::getGrad().

The documentation for this class was generated from the following file:

- Contrib.h